import { QueryDefinitionBuilder } from 'cozy-client'

export const EGL_DAY_DOCTYPE = 'com.grandlyon.egl.day'

export type EglDay = {
  time: string
  load: string
  type: string
}

export function isEglDay(day: any): day is EglDay {
  return day && 'time' in day && 'load' in day
}

export function isEglData(data: any[]): data is EglDay[] {
  return data.every(isEglDay)
}

// queries for CozyClient
export const eglQueryClient: QueryDefinitionBuilder = client =>
  client.find(EGL_DAY_DOCTYPE)
