export const ACCOUNTS_DOCTYPE = 'io.cozy.accounts'

export type AuthLoginData = {
  login: string
  credentials_encrypted?: string
  password?: string
}

export type OAuthData = {
  access_token: string
  refresh_token: string
  scope: string | null
}

export type Account = {
  _id: string
  account_type: string
  auth: AuthLoginData | OAuthData
  identifier: string
  state?: string | null
}

export function isAccount(account: any): account is Account {
  return (
    account &&
    '_id' in account &&
    'account_type' in account &&
    'auth' in account &&
    'identifier' in account &&
    'state' in account
  )
}
