export const TRIGGERS_DOCTYPE = 'io.cozy.triggers'

export type Trigger = {
  _id: string
  type: string
  worker: string
  arguments: string
  message: {
    account: string
    konnector: string
  }
}

export type TriggerState = {
  trigger_id: string
  status: string
  last_error?: string
  last_executed_job_id: string
  last_execution: string
  last_failed_job_id: string
  last_failure: string
  last_manual_execution: string
  last_manual_job_id: string
}

export function isTrigger(trigger: any): trigger is Trigger {
  return (
    trigger &&
    '_id' in trigger &&
    'type' in trigger &&
    'worker' in trigger &&
    'arguments' in trigger &&
    'message' in trigger
  )
}
